# List organization's jobs

{% hint style="info" %}
&#x20; This endpoint requires `jobs_r` or `jobs_rw` scope. To display office attributes, it requires `offices_r`
{% endhint %}

## organization job list

<mark style="color:blue;">`GET`</mark> `https://www.welcomekit.co/api/v1/external/jobs`

#### Query Parameters

| Name                                                      | Type    | Description                                         |
| --------------------------------------------------------- | ------- | --------------------------------------------------- |
| organization\_reference<mark style="color:red;">\*</mark> | string  | Reference of the associated company                 |
| stages                                                    | string  | Return job stages                                   |
| websites                                                  | boolean | Returns associated websites URLs                    |
| office                                                    | boolean | Returns associated office description               |
| status                                                    | string  | Returns jobs with this specific status              |
| per\_page                                                 | integer | Number of jobs per page                             |
| page                                                      | integer | Page offset                                         |
| created\_after                                            | string  | Returns jobs created after this date (YYYY-MM-DD)   |
| updated\_after                                            | string  | Returns jobs updated after this date (YYYY-MM-DD)   |
| published\_after                                          | string  | Returns jobs published after this date (YYYY-MM-DD) |

{% tabs %}
{% tab title="200 Success" %}

```
[
  {
    "name" : "Fake Job 1",
    "external_reference" : "PROVIDER_REFERENCE1",
    "organization_reference" : "Pg4eV6k",
    "status" : "draft",
    "profile" : "Fake Job Profile",
    "apply_url" : "http://company.com/jobs/superjob/apply/",
    "company_description" : "Fake Company Description.",
    "contract_duration_min" : null,
    "experience_level" : "1_TO_2_YEARS",
    "department_id" : null,
    "profession_reference" : "sales",
    "cms_sites_references" : "wttj_fr",
    "contract_duration_max" : null,
    "start_date" : "2016-09-01T00:00:00.000+02:00",
    "description" : "Fake Job Description.",
    "contract_type" : "FULL_TIME",
    "language": "en",
    "salary": {
      "min": "30000",
      "max": "40000",
      "currency": "EUR",
      "period": "yearly"
    },
    "remote" : "no",
    "office_id" : 196,
    "reference" : "WTTJ_gld0A7L",
    "education_level" : "BAC_5",
    "created_at" : "2017-11-13T17:15:26.146+01:00",
    "updated_at" : "2017-11-13T17:15:26.146+01:00",
    "published_at" : "2017-11-13T18:00:01.146+01:00",
    "archived_at" : null
  },
  {
    "name" : "Fake Job 2",
    "external_reference" : "PROVIDER_REFERENCE2",
    "organization_reference" : "Pg4eV6k",
    "status" : "draft",
    "profile" : "Fake Job Profile",
    "apply_url" : "http://company.com/jobs/superjob/apply/",
    "company_description" : "Fake Company Description.",
    "contract_duration_min" : null,
    "experience_level" : "1_TO_2_YEARS",
    "department_id" : null,
    "profession_reference" : "sales",
    "cms_sites_references" : "wttj_fr,smgo_fr,btbw_fr",
    "contract_duration_max" : null,
    "start_date" : "2016-09-01T00:00:00.000+02:00",
    "description" : "Fake Job Description.",
    "contract_type" : "FULL_TIME",
    "salary": {
      "min": "30000",
      "max": "40000",
      "currency": "EUR",
      "period": "yearly"
    },
    "remote" : "fulltime",
    "office_id" : 196,
    "reference" : "WTTJ_gld0A7L",
    "education_level" : "BAC_5",
    "created_at" : "2017-11-13T17:15:26.146+01:00",
    "updated_at" : "2017-11-13T17:15:26.146+01:00",
    "published_at" : "2017-11-13T18:00:01.146+01:00",
    "archived_at" : null
  }
]
```

{% endtab %}
{% endtabs %}

Request example

```
curl -X GET -G "https://www.welcomekit.co/api/v1/external/jobs" \
    -H "Authorization: Bearer WK_API_KEY" \
    -d "organization_reference=Pg4eV6k" \
    -d "status=published" \
    -d "created_after=2017-10-30"
```
